package br.com.dgimenes.nasapic.service;

import android.content.Context;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import android.os.Bundle;

import com.flurry.android.FlurryAgent;

import br.com.dgimenes.nasapic.control.ErrorMessage;

public class EventsLogger {

    private static boolean initialized = false;

    public static void initialize(Context context) {
        if (!initialized) {
            initialized = true;

            // Fabric

            // Flurry
            try {
                ApplicationInfo ai = context.getPackageManager()
                        .getApplicationInfo(context.getPackageName(), PackageManager.GET_META_DATA);
                Bundle bundle = ai.metaData;
                String flurryApiKey = bundle.getString("flurry.ApiKey");
                FlurryAgent.setLogEnabled(false);
                FlurryAgent.setContinueSessionMillis(30000);
                FlurryAgent.init(context, flurryApiKey);
            } catch (Exception e) {
            }
        }
    }

    public static void logSessionStart(Context context) {
        // Flurry
        FlurryAgent.onStartSession(context);
    }

    public static void logSessionEnd(Context context) {
        // Flurry
        FlurryAgent.onEndSession(context);
    }

    public static void logEvent(String description) {
        // Fabric

        // Flurry
        FlurryAgent.logEvent(description);
    }

    public static void logError(ErrorMessage error, Throwable e) {
        // Fabric
        if (e != null) {
        }

        // Flurry
        if (e != null) {
            FlurryAgent.onError(error.id, error.analyticsMessage, e);
        } else {
            FlurryAgent.onError(error.id, error.analyticsMessage, "unknown");
        }
    }
}
